Subject: Re: [Bitcoin-development] Proposal: Encrypt bitcoin messages

From: Luke Dashjr <[email-masked]>
Date: Sat, 23 Aug 2014 19:02:55 +0000

On Saturday, August 23, 2014 6:44:15 PM Mike Hearn wrote:
> > Not to mention encrypting basically non-sensitive inter-node traffic is
> > almost completely worthless in providing anonymity anyway...
> 
> Recall that P2P connections carry Bloom filters too, which are not public
> information.

As soon as you tell it to an unknown/public peer, it is public information.